- Qt 5.15
- Qt Help
- C++ Classes
- QHelpIndexWidget
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QHelpIndexWidget

The following members of class QHelpIndexWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | linkActivated(const QUrl &link, const QString &keyword)
`(obsolete)` void | linksActivated(const QMap<QString, QUrl> &links, const QString &keyword)

## Member Function Documentation

### `[signal]` void QHelpIndexWidget::linkActivated(const QUrl &link, const QString &keyword)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use documentActivated() instead.

This signal is emitted when an item is activated and its associated link should be shown. To know where the link belongs to, the keyword is given as a second parameter.

### `[signal]` void QHelpIndexWidget::linksActivated(const QMap<QString, QUrl> &links, const QString &keyword)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use documentsActivated() instead.

This signal is emitted when the item representing the keyword is activated and the item has more than one link associated. The links consist of the document titles and their URLs.